Bug 251740 - sysutils/rubygem-bundler: Update to 2.2.11
Summary: sysutils/rubygem-bundler: Update to 2.2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: Change Log: https://github.com/rubyge...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-10 19:05 UTC by Yasuhiro Kimura
Modified: 2021-02-18 08:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch file (945 bytes, patch)
2020-12-10 19:05 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (945 bytes, patch)
2020-12-15 02:41 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (945 bytes, patch)
2020-12-18 02:26 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (945 bytes, patch)
2020-12-22 23:15 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (945 bytes, patch)
2020-12-31 16:14 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (945 bytes, patch)
2021-02-03 16:47 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (945 bytes, patch)
2021-02-09 05:54 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (948 bytes, patch)
2021-02-16 07:40 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (948 bytes, patch)
2021-02-17 16:16 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-12-10 19:05:04 UTC
Created attachment 220437 [details]
Patch file

Update to 2.2.0.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.0/bundler/CHANGELOG.md
Comment 1 Yasuhiro Kimura 2020-12-15 02:41:10 UTC
Created attachment 220563 [details]
Updated patch file

New version 2.2.1 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.1/bundler/CHANGELOG.md
Comment 2 Yasuhiro Kimura 2020-12-18 02:26:30 UTC
Created attachment 220683 [details]
Updated patch file

New version 2.2.2 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.2/bundler/CHANGELOG.md
Comment 3 Yasuhiro Kimura 2020-12-22 23:15:23 UTC
Created attachment 220829 [details]
Updated patch file

New version 2.2.3 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.3/bundler/CHANGELOG.md
Comment 4 Yasuhiro Kimura 2020-12-31 16:14:23 UTC
Created attachment 221134 [details]
Updated patch file

New version 2.2.4 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.4/bundler/CHANGELOG.md
Comment 5 Yasuhiro Kimura 2021-02-03 16:47:00 UTC
Created attachment 222130 [details]
Updated patch file

New version 2.2.8 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.8/bundler/CHANGELOG.md
Comment 6 Yasuhiro Kimura 2021-02-09 05:54:24 UTC
Created attachment 222288 [details]
Updated patch file

New version 2.2.9 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.9/bundler/CHANGELOG.md
Comment 7 Yasuhiro Kimura 2021-02-16 07:40:26 UTC
Created attachment 222482 [details]
Updated patch file

New version 2.2.10 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.10/bundler/CHANGELOG.md
Comment 8 Koichiro Iwao freebsd_committer 2021-02-17 03:56:18 UTC
testbuild@work
Comment 9 Koichiro Iwao freebsd_committer 2021-02-17 05:24:14 UTC
The reason why I hesitate updating bundler from 2.1 to 2.2 might break something.
Actually, this will break devel/gitlab-shell.

I don't think we should rush updating bundler. I suggest to postpone updating until other ports really require bundler 2.2 series.

===>   gitlab-shell-13.15.0 depends on package: rubygem-bundler>=2.1.4<2.1.5,1 - not found
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/gitlab-shell
build of devel/gitlab-shell | gitlab-shell-13.15.0 ended at Wed Feb 17 14:19:57 JST 2021
build time: 00:00:07
!!! build failure encountered !!!
[00:00:12] Error: Build failed in phase: build-depends
[00:00:12] Cleaning up
[00:00:12] Unmounting file systems
Comment 10 Koichiro Iwao freebsd_committer 2021-02-17 05:25:27 UTC
(In reply to Koichiro Iwao from comment #9)
CC'd mfechner.
Comment 11 commit-hook freebsd_committer 2021-02-17 13:46:25 UTC
A commit references this bug:

Author: mfechner
Date: Wed Feb 17 13:45:46 UTC 2021
New revision: 565501
URL: https://svnweb.freebsd.org/changeset/ports/565501

Log:
  Removed build dep to rubygem-bundler as it is not required.

  PR:		251740

Changes:
  head/devel/gitlab-shell/Makefile
Comment 12 Matthias Fechner freebsd_committer 2021-02-17 15:25:14 UTC
I tested version 2.2.10 with gitlab-ce and it works fine.
So no reason from my site to wait ;)
Comment 13 Yasuhiro Kimura 2021-02-17 16:16:51 UTC
Created attachment 222530 [details]
Updated patch file

New version 2.2.11 is released.

Change Log: https://github.com/rubygems/rubygems/blob/bundler-v2.2.11/bundler/CHANGELOG.md
Comment 14 commit-hook freebsd_committer 2021-02-18 08:24:13 UTC
A commit references this bug:

Author: meta
Date: Thu Feb 18 08:23:31 UTC 2021
New revision: 565911
URL: https://svnweb.freebsd.org/changeset/ports/565911

Log:
  sysutils/rubygem-bundler: Update to 2.2.11

  PR:		251740
  Submitted by:	Yasuhiro Kimura <yasu@utahime.org>
  Reviewed by:	meta, mfechner
  Relnotes:	https://github.com/rubygems/rubygems/blob/bundler-v2.2.11/bundler/CHANGELOG.md

Changes:
  head/sysutils/rubygem-bundler/Makefile
  head/sysutils/rubygem-bundler/distinfo
Comment 15 Koichiro Iwao freebsd_committer 2021-02-18 08:25:53 UTC
Committed, thank you for your patience!